Bug 131841 - SysVinit doesn't compile from non-root account
SysVinit doesn't compile from non-root account
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sysvinit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-05 11:03 EDT by Steve Grubb
Modified: 2014-03-16 22:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 15:15:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch that fixes the problem (405 bytes, patch)
2004-09-05 11:04 EDT, Steve Grubb
no flags Details | Diff
New patch (581 bytes, patch)
2004-09-06 09:34 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2004-09-05 11:03:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
The make file tries to create a node in the /dev directory which:

a) you must be root to do   -and-
b) is not anywhere that rpm can package it later

I will attach a patch that fixes this bug.

Version-Release number of selected component (if applicable):
SysVinit-2.85-32

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -bb SysVinit.spec

Additional info:
Comment 1 Steve Grubb 2004-09-05 11:04:27 EDT
Created attachment 103488 [details]
A patch that fixes the problem
Comment 2 Steve Grubb 2004-09-06 09:34:25 EDT
Created attachment 103508 [details]
New patch

Actually, there are a couple commands right before the mknod that needs the
$(ROOT) variable added. It makes no difference to the outcome, but is more
complete.
Comment 3 Bill Nottingham 2004-10-11 15:15:47 EDT
Fixed in -34, thanks!
Comment 4 David Lawrence 2007-06-21 22:18:21 EDT
Package name is now sysvinit in latest Fedora.

Note You need to log in before you can comment on or make changes to this bug.